unit schComisionesServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, FmtBCD, uROXMLIntf, schComisionesClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_ListaAnosComisionesDelta = '{CA9B6DCE-F23B-4F1E-BE58-BBCB29B3C96B}';
  RID_FacturasComisionDelta = '{3D242413-6308-4616-98AF-802A7E9D527C}';
  RID_ComisionesDelta = '{5C5A6DC3-E892-4965-A4C0-9F503C17F1C0}';

type
  { IListaAnosComisionesDelta }
  IListaAnosComisionesDelta = interface(IListaAnosComisiones)
  ['{CA9B6DCE-F23B-4F1E-BE58-BBCB29B3C96B}']
    { Property getters and setters }
    function GetOldANOValue : String;

    { Properties }
    property OldANO : String read GetOldANOValue;
  end;

  { TListaAnosComisionesBusinessProcessorRules }
  TListaAnosComisionesBusinessProcessorRules = class(TDABusinessProcessorRules, IListaAnosComisiones, IListaAnosComisionesDelta)
  private
  protected
    { Property getters and setters }
    function GetANOValue: String; virtual;
    function GetANOIsNull: Boolean; virtual;
    function GetOldANOValue: String; virtual;
    function GetOldANOIsNull: Boolean; virtual;
    procedure SetANOValue(const aValue: String); virtual;
    procedure SetANOIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ANO : String read GetANOValue write SetANOValue;
    property ANOIsNull : Boolean read GetANOIsNull write SetANOIsNull;
    property OldANO : String read GetOldANOValue;
    property OldANOIsNull : Boolean read GetOldANOIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IFacturasComisionDelta }
  IFacturasComisionDelta = interface(IFacturasComision)
  ['{3D242413-6308-4616-98AF-802A7E9D527C}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldID_COMISION_LIQUIDADAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldFECHA_FACTURAValue : DateTime;
    function GetOldFECHA_VENCIMIENTOValue : DateTime;
    function GetOldSITUACIONValue : String;
    function GetOldBASE_IMPONIBLEValue : Currency;
    function GetOldID_CLIENTEValue : Integer;
    function GetOldNIF_CIFValue : String;
    function GetOldNOMBREValue : String;
    function GetOldID_AGENTEValue : Integer;
    function GetOldCOMISIONValue : Float;
    function GetOldIMPORTE_COMISIONValue : Currency;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_COMISION_LIQUIDADA : Integer read GetOldID_COMISION_LIQUIDADAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property OldFECHA_VENCIMIENTO : DateTime read GetOldFECHA_VENCIMIENTOValue;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldBASE_IMPONIBLE : Currency read GetOldBASE_IMPONIBLEValue;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldCOMISION : Float read GetOldCOMISIONValue;
    property OldIMPORTE_COMISION : Currency read GetOldIMPORTE_COMISIONValue;
  end;

  { TFacturasComisionBusinessProcessorRules }
  TFacturasComisionBusinessProcessorRules = class(TDABusinessProcessorRules, IFacturasComision, IFacturasComisionDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetIDIsNull: Boolean; virtual;
    function GetOldIDValue: Integer; virtual;
    function GetOldIDIsNull: Boolean; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetID_COMISION_LIQUIDADAValue: Integer; virtual;
    function GetID_COMISION_LIQUIDADAIsNull: Boolean; virtual;
    function GetOldID_COMISION_LIQUIDADAValue: Integer; virtual;
    function GetOldID_COMISION_LIQUIDADAIsNull: Boolean; virtual;
    procedure SetID_COMISION_LIQUIDADAValue(const aValue: Integer); virtual;
    procedure SetID_COMISION_LIQUIDADAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetFECHA_FACTURAValue: DateTime; virtual;
    function GetFECHA_FACTURAIsNull: Boolean; virtual;
    function GetOldFECHA_FACTURAValue: DateTime; virtual;
    function GetOldFECHA_FACTURAIsNull: Boolean; virtual;
    procedure SetFECHA_FACTURAValue(const aValue: DateTime); virtual;
    procedure SetFECHA_FACTURAIsNull(const aValue: Boolean); virtual;
    function GetFECHA_VENCIMIENTOValue: DateTime; virtual;
    function GetFECHA_VENCIMIENTOIsNull: Boolean; virtual;
    function GetOldFECHA_VENCIMIENTOValue: DateTime; virtual;
    function GetOldFECHA_VENCIMIENTOIsNull: Boolean; virtual;
    procedure SetFECHA_VENCIMIENTOValue(const aValue: DateTime); virtual;
    procedure SetFECHA_VENCIMIENTOIsNull(const aValue: Boolean); virtual;
    function GetSITUACIONValue: String; virtual;
    function GetSITUACIONIsNull: Boolean; virtual;
    function GetOldSITUACIONValue: String; virtual;
    function GetOldSITUACIONIsNull: Boolean; virtual;
    procedure SetSITUACIONValue(const aValue: String); virtual;
    procedure SetSITUACIONIsNull(const aValue: Boolean); virtual;
    function GetBASE_IMPONIBLEValue: Currency; virtual;
    function GetBASE_IMPONIBLEIsNull: Boolean; virtual;
    function GetOldBASE_IMPONIBLEValue: Currency; virtual;
    function GetOldBASE_IMPONIBLEIsNull: Boolean; virtual;
    procedure SetBASE_IMPONIBLEValue(const aValue: Currency); virtual;
    procedure SetBASE_IMPONIBLEIsNull(const aValue: Boolean); virtual;
    function GetID_CLIENTEValue: Integer; virtual;
    function GetID_CLIENTEIsNull: Boolean; virtual;
    function GetOldID_CLIENTEValue: Integer; virtual;
    function GetOldID_CLIENTEIsNull: Boolean; virtual;
    procedure SetID_CLIENTEValue(const aValue: Integer); virtual;
    procedure SetID_CLIENTEIsNull(const aValue: Boolean); virtual;
    function GetNIF_CIFValue: String; virtual;
    function GetNIF_CIFIsNull: Boolean; virtual;
    function GetOldNIF_CIFValue: String; virtual;
    function GetOldNIF_CIFIsNull: Boolean; virtual;
    procedure SetNIF_CIFValue(const aValue: String); virtual;
    procedure SetNIF_CIFIsNull(const aValue: Boolean); virtual;
    function GetNOMBREValue: String; virtual;
    function GetNOMBREIsNull: Boolean; virtual;
    function GetOldNOMBREValue: String; virtual;
    function GetOldNOMBREIsNull: Boolean; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    procedure SetNOMBREIsNull(const aValue: Boolean); virtual;
    function GetID_AGENTEValue: Integer; virtual;
    function GetID_AGENTEIsNull: Boolean; virtual;
    function GetOldID_AGENTEValue: Integer; virtual;
    function GetOldID_AGENTEIsNull: Boolean; virtual;
    procedure SetID_AGENTEValue(const aValue: Integer); virtual;
    procedure SetID_AGENTEIsNull(const aValue: Boolean); virtual;
    function GetCOMISIONValue: Float; virtual;
    function GetCOMISIONIsNull: Boolean; virtual;
    function GetOldCOMISIONValue: Float; virtual;
    function GetOldCOMISIONIsNull: Boolean; virtual;
    procedure SetCOMISIONValue(const aValue: Float); virtual;
    procedure SetCOMISIONIsNull(const aValue: Boolean); virtual;
    function GetIMPORTE_COMISIONValue: Currency; virtual;
    function GetIMPORTE_COMISIONIsNull: Boolean; virtual;
    function GetOldIMPORTE_COMISIONValue: Currency; virtual;
    function GetOldIMPORTE_COMISIONIsNull: Boolean; virtual;
    procedure SetIMPORTE_COMISIONValue(const aValue: Currency); virtual;
    procedure SetIMPORTE_COMISIONIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property IDIsNull : Boolean read GetIDIsNull write SetIDIsNull;
    property OldID : Integer read GetOldIDValue;
    property OldIDIsNull : Boolean read GetOldIDIsNull;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull : Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_EMPRESAIsNull : Boolean read GetOldID_EMPRESAIsNull;
    property ID_COMISION_LIQUIDADA : Integer read GetID_COMISION_LIQUIDADAValue write SetID_COMISION_LIQUIDADAValue;
    property ID_COMISION_LIQUIDADAIsNull : Boolean read GetID_COMISION_LIQUIDADAIsNull write SetID_COMISION_LIQUIDADAIsNull;
    property OldID_COMISION_LIQUIDADA : Integer read GetOldID_COMISION_LIQUIDADAValue;
    property OldID_COMISION_LIQUIDADAIsNull : Boolean read GetOldID_COMISION_LIQUIDADAIsNull;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull : Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIAIsNull : Boolean read GetOldREFERENCIAIsNull;
    property FECHA_FACTURA : DateTime read GetFECHA_FACTURAValue write SetFECHA_FACTURAValue;
    property FECHA_FACTURAIsNull : Boolean read GetFECHA_FACTURAIsNull write SetFECHA_FACTURAIsNull;
    property OldFECHA_FACTURA : DateTime read GetOldFECHA_FACTURAValue;
    property OldFECHA_FACTURAIsNull : Boolean read GetOldFECHA_FACTURAIsNull;
    property FECHA_VENCIMIENTO : DateTime read GetFECHA_VENCIMIENTOValue write SetFECHA_VENCIMIENTOValue;
    property FECHA_VENCIMIENTOIsNull : Boolean read GetFECHA_VENCIMIENTOIsNull write SetFECHA_VENCIMIENTOIsNull;
    property OldFECHA_VENCIMIENTO : DateTime read GetOldFECHA_VENCIMIENTOValue;
    property OldFECHA_VENCIMIENTOIsNull : Boolean read GetOldFECHA_VENCIMIENTOIsNull;
    property SITUACION : String read GetSITUACIONValue write SetSITUACIONValue;
    property SITUACIONIsNull : Boolean read GetSITUACIONIsNull write SetSITUACIONIsNull;
    property OldSITUACION : String read GetOldSITUACIONValue;
    property OldSITUACIONIsNull : Boolean read GetOldSITUACIONIsNull;
    property BASE_IMPONIBLE : Currency read GetBASE_IMPONIBLEValue write SetBASE_IMPONIBLEValue;
    property BASE_IMPONIBLEIsNull : Boolean read GetBASE_IMPONIBLEIsNull write SetBASE_IMPONIBLEIsNull;
    property OldBASE_IMPONIBLE : Currency read GetOldBASE_IMPONIBLEValue;
    property OldBASE_IMPONIBLEIsNull : Boolean read GetOldBASE_IMPONIBLEIsNull;
    property ID_CLIENTE : Integer read GetID_CLIENTEValue write SetID_CLIENTEValue;
    property ID_CLIENTEIsNull : Boolean read GetID_CLIENTEIsNull write SetID_CLIENTEIsNull;
    property OldID_CLIENTE : Integer read GetOldID_CLIENTEValue;
    property OldID_CLIENTEIsNull : Boolean read GetOldID_CLIENTEIsNull;
    property NIF_CIF : String read GetNIF_CIFValue write SetNIF_CIFValue;
    property NIF_CIFIsNull : Boolean read GetNIF_CIFIsNull write SetNIF_CIFIsNull;
    property OldNIF_CIF : String read GetOldNIF_CIFValue;
    property OldNIF_CIFIsNull : Boolean read GetOldNIF_CIFIsNull;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property NOMBREIsNull : Boolean read GetNOMBREIsNull write SetNOMBREIsNull;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldNOMBREIsNull : Boolean read GetOldNOMBREIsNull;
    property ID_AGENTE : Integer read GetID_AGENTEValue write SetID_AGENTEValue;
    property ID_AGENTEIsNull : Boolean read GetID_AGENTEIsNull write SetID_AGENTEIsNull;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldID_AGENTEIsNull : Boolean read GetOldID_AGENTEIsNull;
    property COMISION : Float read GetCOMISIONValue write SetCOMISIONValue;
    property COMISIONIsNull : Boolean read GetCOMISIONIsNull write SetCOMISIONIsNull;
    property OldCOMISION : Float read GetOldCOMISIONValue;
    property OldCOMISIONIsNull : Boolean read GetOldCOMISIONIsNull;
    property IMPORTE_COMISION : Currency read GetIMPORTE_COMISIONValue write SetIMPORTE_COMISIONValue;
    property IMPORTE_COMISIONIsNull : Boolean read GetIMPORTE_COMISIONIsNull write SetIMPORTE_COMISIONIsNull;
    property OldIMPORTE_COMISION : Currency read GetOldIMPORTE_COMISIONValue;
    property OldIMPORTE_COMISIONIsNull : Boolean read GetOldIMPORTE_COMISIONIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IComisionesDelta }
  IComisionesDelta = interface(IComisiones)
  ['{5C5A6DC3-E892-4965-A4C0-9F503C17F1C0}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldID_AGENTEValue : Integer;
    function GetOldAGENTEValue : String;
    function GetOldDESCRIPCIONValue : String;
    function GetOldFECHAValue : DateTime;
    function GetOldIMPORTE_TOTALValue : Currency;
    function GetOldUSUARIOValue : String;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldAGENTE : String read GetOldAGENTEValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
  end;

  { TComisionesBusinessProcessorRules }
  TComisionesBusinessProcessorRules = class(TDABusinessProcessorRules, IComisiones, IComisionesDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetIDIsNull: Boolean; virtual;
    function GetOldIDValue: Integer; virtual;
    function GetOldIDIsNull: Boolean; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetID_AGENTEValue: Integer; virtual;
    function GetID_AGENTEIsNull: Boolean; virtual;
    function GetOldID_AGENTEValue: Integer; virtual;
    function GetOldID_AGENTEIsNull: Boolean; virtual;
    procedure SetID_AGENTEValue(const aValue: Integer); virtual;
    procedure SetID_AGENTEIsNull(const aValue: Boolean); virtual;
    function GetAGENTEValue: String; virtual;
    function GetAGENTEIsNull: Boolean; virtual;
    function GetOldAGENTEValue: String; virtual;
    function GetOldAGENTEIsNull: Boolean; virtual;
    procedure SetAGENTEValue(const aValue: String); virtual;
    procedure SetAGENTEIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;
    function GetFECHAValue: DateTime; virtual;
    function GetFECHAIsNull: Boolean; virtual;
    function GetOldFECHAValue: DateTime; virtual;
    function GetOldFECHAIsNull: Boolean; virtual;
    procedure SetFECHAValue(const aValue: DateTime); virtual;
    procedure SetFECHAIsNull(const aValue: Boolean); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    function GetIMPORTE_TOTALIsNull: Boolean; virtual;
    function GetOldIMPORTE_TOTALValue: Currency; virtual;
    function GetOldIMPORTE_TOTALIsNull: Boolean; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    procedure SetIMPORTE_TOTALIsNull(const aValue: Boolean); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetUSUARIOIsNull: Boolean; virtual;
    function GetOldUSUARIOValue: String; virtual;
    function GetOldUSUARIOIsNull: Boolean; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    procedure SetUSUARIOIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property IDIsNull : Boolean read GetIDIsNull write SetIDIsNull;
    property OldID : Integer read GetOldIDValue;
    property OldIDIsNull : Boolean read GetOldIDIsNull;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull : Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_EMPRESAIsNull : Boolean read GetOldID_EMPRESAIsNull;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull : Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIAIsNull : Boolean read GetOldREFERENCIAIsNull;
    property ID_AGENTE : Integer read GetID_AGENTEValue write SetID_AGENTEValue;
    property ID_AGENTEIsNull : Boolean read GetID_AGENTEIsNull write SetID_AGENTEIsNull;
    property OldID_AGENTE : Integer read GetOldID_AGENTEValue;
    property OldID_AGENTEIsNull : Boolean read GetOldID_AGENTEIsNull;
    property AGENTE : String read GetAGENTEValue write SetAGENTEValue;
    property AGENTEIsNull : Boolean read GetAGENTEIsNull write SetAGENTEIsNull;
    property OldAGENTE : String read GetOldAGENTEValue;
    property OldAGENTEIsNull : Boolean read GetOldAGENTEIsNull;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull : Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldDESCRIPCIONIsNull : Boolean read GetOldDESCRIPCIONIsNull;
    property FECHA : DateTime read GetFECHAValue write SetFECHAValue;
    property FECHAIsNull : Boolean read GetFECHAIsNull write SetFECHAIsNull;
    property OldFECHA : DateTime read GetOldFECHAValue;
    property OldFECHAIsNull : Boolean read GetOldFECHAIsNull;
    property IMPORTE_TOTAL : Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property IMPORTE_TOTALIsNull : Boolean read GetIMPORTE_TOTALIsNull write SetIMPORTE_TOTALIsNull;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property OldIMPORTE_TOTALIsNull : Boolean read GetOldIMPORTE_TOTALIsNull;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property USUARIOIsNull : Boolean read GetUSUARIOIsNull write SetUSUARIOIsNull;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldUSUARIOIsNull : Boolean read GetOldUSUARIOIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers, uDAInterfaces;

{ TListaAnosComisionesBusinessProcessorRules }
constructor TListaAnosComisionesBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TListaAnosComisionesBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TListaAnosComisionesBusinessProcessorRules.GetANOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ListaAnosComisionesANO];
end;

function TListaAnosComisionesBusinessProcessorRules.GetANOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ListaAnosComisionesANO]);
end;

function TListaAnosComisionesBusinessProcessorRules.GetOldANOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ListaAnosComisionesANO];
end;

function TListaAnosComisionesBusinessProcessorRules.GetOldANOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ListaAnosComisionesANO]);
end;

procedure TListaAnosComisionesBusinessProcessorRules.SetANOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ListaAnosComisionesANO] := aValue;
end;

procedure TListaAnosComisionesBusinessProcessorRules.SetANOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ListaAnosComisionesANO] := Null;
end;


{ TFacturasComisionBusinessProcessorRules }
constructor TFacturasComisionBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TFacturasComisionBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TFacturasComisionBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID];
end;

function TFacturasComisionBusinessProcessorRules.GetIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionID];
end;

function TFacturasComisionBusinessProcessorRules.GetOldIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionID]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_EMPRESA];
end;

function TFacturasComisionBusinessProcessorRules.GetID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_EMPRESA]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionID_EMPRESA];
end;

function TFacturasComisionBusinessProcessorRules.GetOldID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionID_EMPRESA]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_EMPRESA] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_EMPRESA] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetID_COMISION_LIQUIDADAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_COMISION_LIQUIDADA];
end;

function TFacturasComisionBusinessProcessorRules.GetID_COMISION_LIQUIDADAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_COMISION_LIQUIDADA]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldID_COMISION_LIQUIDADAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionID_COMISION_LIQUIDADA];
end;

function TFacturasComisionBusinessProcessorRules.GetOldID_COMISION_LIQUIDADAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionID_COMISION_LIQUIDADA]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetID_COMISION_LIQUIDADAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_COMISION_LIQUIDADA] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetID_COMISION_LIQUIDADAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_COMISION_LIQUIDADA] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionREFERENCIA];
end;

function TFacturasComisionBusinessProcessorRules.GetREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionREFERENCIA]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionREFERENCIA];
end;

function TFacturasComisionBusinessProcessorRules.GetOldREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionREFERENCIA]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionREFERENCIA] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionREFERENCIA] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionFECHA_FACTURA];
end;

function TFacturasComisionBusinessProcessorRules.GetFECHA_FACTURAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionFECHA_FACTURA]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldFECHA_FACTURAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionFECHA_FACTURA];
end;

function TFacturasComisionBusinessProcessorRules.GetOldFECHA_FACTURAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionFECHA_FACTURA]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetFECHA_FACTURAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionFECHA_FACTURA] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetFECHA_FACTURAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionFECHA_FACTURA] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetFECHA_VENCIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionFECHA_VENCIMIENTO];
end;

function TFacturasComisionBusinessProcessorRules.GetFECHA_VENCIMIENTOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionFECHA_VENCIMIENTO]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldFECHA_VENCIMIENTOValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionFECHA_VENCIMIENTO];
end;

function TFacturasComisionBusinessProcessorRules.GetOldFECHA_VENCIMIENTOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionFECHA_VENCIMIENTO]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetFECHA_VENCIMIENTOValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionFECHA_VENCIMIENTO] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetFECHA_VENCIMIENTOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionFECHA_VENCIMIENTO] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionSITUACION];
end;

function TFacturasComisionBusinessProcessorRules.GetSITUACIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionSITUACION]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldSITUACIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionSITUACION];
end;

function TFacturasComisionBusinessProcessorRules.GetOldSITUACIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionSITUACION]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetSITUACIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionSITUACION] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetSITUACIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionSITUACION] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetBASE_IMPONIBLEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionBASE_IMPONIBLE];
end;

function TFacturasComisionBusinessProcessorRules.GetBASE_IMPONIBLEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionBASE_IMPONIBLE]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldBASE_IMPONIBLEValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionBASE_IMPONIBLE];
end;

function TFacturasComisionBusinessProcessorRules.GetOldBASE_IMPONIBLEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionBASE_IMPONIBLE]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetBASE_IMPONIBLEValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionBASE_IMPONIBLE] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetBASE_IMPONIBLEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionBASE_IMPONIBLE] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_CLIENTE];
end;

function TFacturasComisionBusinessProcessorRules.GetID_CLIENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_CLIENTE]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldID_CLIENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionID_CLIENTE];
end;

function TFacturasComisionBusinessProcessorRules.GetOldID_CLIENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionID_CLIENTE]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetID_CLIENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_CLIENTE] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetID_CLIENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_CLIENTE] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionNIF_CIF];
end;

function TFacturasComisionBusinessProcessorRules.GetNIF_CIFIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionNIF_CIF]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldNIF_CIFValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionNIF_CIF];
end;

function TFacturasComisionBusinessProcessorRules.GetOldNIF_CIFIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionNIF_CIF]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetNIF_CIFValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionNIF_CIF] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetNIF_CIFIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionNIF_CIF] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionNOMBRE];
end;

function TFacturasComisionBusinessProcessorRules.GetNOMBREIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionNOMBRE]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionNOMBRE];
end;

function TFacturasComisionBusinessProcessorRules.GetOldNOMBREIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionNOMBRE]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionNOMBRE] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetNOMBREIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionNOMBRE] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_AGENTE];
end;

function TFacturasComisionBusinessProcessorRules.GetID_AGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_AGENTE]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionID_AGENTE];
end;

function TFacturasComisionBusinessProcessorRules.GetOldID_AGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionID_AGENTE]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetID_AGENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_AGENTE] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetID_AGENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionID_AGENTE] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetCOMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionCOMISION];
end;

function TFacturasComisionBusinessProcessorRules.GetCOMISIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionCOMISION]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldCOMISIONValue: Float;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionCOMISION];
end;

function TFacturasComisionBusinessProcessorRules.GetOldCOMISIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionCOMISION]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetCOMISIONValue(const aValue: Float);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionCOMISION] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetCOMISIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionCOMISION] := Null;
end;

function TFacturasComisionBusinessProcessorRules.GetIMPORTE_COMISIONValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionIMPORTE_COMISION];
end;

function TFacturasComisionBusinessProcessorRules.GetIMPORTE_COMISIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionIMPORTE_COMISION]);
end;

function TFacturasComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionIMPORTE_COMISION];
end;

function TFacturasComisionBusinessProcessorRules.GetOldIMPORTE_COMISIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_FacturasComisionIMPORTE_COMISION]);
end;

procedure TFacturasComisionBusinessProcessorRules.SetIMPORTE_COMISIONValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionIMPORTE_COMISION] := aValue;
end;

procedure TFacturasComisionBusinessProcessorRules.SetIMPORTE_COMISIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_FacturasComisionIMPORTE_COMISION] := Null;
end;


{ TComisionesBusinessProcessorRules }
constructor TComisionesBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TComisionesBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TComisionesBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID];
end;

function TComisionesBusinessProcessorRules.GetIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID]);
end;

function TComisionesBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID];
end;

function TComisionesBusinessProcessorRules.GetOldIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID]);
end;

procedure TComisionesBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID] := Null;
end;

function TComisionesBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_EMPRESA];
end;

function TComisionesBusinessProcessorRules.GetID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_EMPRESA]);
end;

function TComisionesBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID_EMPRESA];
end;

function TComisionesBusinessProcessorRules.GetOldID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID_EMPRESA]);
end;

procedure TComisionesBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_EMPRESA] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_EMPRESA] := Null;
end;

function TComisionesBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesREFERENCIA];
end;

function TComisionesBusinessProcessorRules.GetREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesREFERENCIA]);
end;

function TComisionesBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesREFERENCIA];
end;

function TComisionesBusinessProcessorRules.GetOldREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesREFERENCIA]);
end;

procedure TComisionesBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesREFERENCIA] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesREFERENCIA] := Null;
end;

function TComisionesBusinessProcessorRules.GetID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_AGENTE];
end;

function TComisionesBusinessProcessorRules.GetID_AGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_AGENTE]);
end;

function TComisionesBusinessProcessorRules.GetOldID_AGENTEValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID_AGENTE];
end;

function TComisionesBusinessProcessorRules.GetOldID_AGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesID_AGENTE]);
end;

procedure TComisionesBusinessProcessorRules.SetID_AGENTEValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_AGENTE] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetID_AGENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesID_AGENTE] := Null;
end;

function TComisionesBusinessProcessorRules.GetAGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesAGENTE];
end;

function TComisionesBusinessProcessorRules.GetAGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesAGENTE]);
end;

function TComisionesBusinessProcessorRules.GetOldAGENTEValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesAGENTE];
end;

function TComisionesBusinessProcessorRules.GetOldAGENTEIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesAGENTE]);
end;

procedure TComisionesBusinessProcessorRules.SetAGENTEValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesAGENTE] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetAGENTEIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesAGENTE] := Null;
end;

function TComisionesBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesDESCRIPCION];
end;

function TComisionesBusinessProcessorRules.GetDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesDESCRIPCION]);
end;

function TComisionesBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesDESCRIPCION];
end;

function TComisionesBusinessProcessorRules.GetOldDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesDESCRIPCION]);
end;

procedure TComisionesBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesDESCRIPCION] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesDESCRIPCION] := Null;
end;

function TComisionesBusinessProcessorRules.GetFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesFECHA];
end;

function TComisionesBusinessProcessorRules.GetFECHAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesFECHA]);
end;

function TComisionesBusinessProcessorRules.GetOldFECHAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesFECHA];
end;

function TComisionesBusinessProcessorRules.GetOldFECHAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesFECHA]);
end;

procedure TComisionesBusinessProcessorRules.SetFECHAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesFECHA] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetFECHAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesFECHA] := Null;
end;

function TComisionesBusinessProcessorRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesIMPORTE_TOTAL];
end;

function TComisionesBusinessProcessorRules.GetIMPORTE_TOTALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesIMPORTE_TOTAL]);
end;

function TComisionesBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesIMPORTE_TOTAL];
end;

function TComisionesBusinessProcessorRules.GetOldIMPORTE_TOTALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesIMPORTE_TOTAL]);
end;

procedure TComisionesBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesIMPORTE_TOTAL] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetIMPORTE_TOTALIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesIMPORTE_TOTAL] := Null;
end;

function TComisionesBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesUSUARIO];
end;

function TComisionesBusinessProcessorRules.GetUSUARIOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesUSUARIO]);
end;

function TComisionesBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesUSUARIO];
end;

function TComisionesBusinessProcessorRules.GetOldUSUARIOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ComisionesUSUARIO]);
end;

procedure TComisionesBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesUSUARIO] := aValue;
end;

procedure TComisionesBusinessProcessorRules.SetUSUARIOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ComisionesUSUARIO] := Null;
end;


initialization
  RegisterBusinessProcessorRules(RID_ListaAnosComisionesDelta, TListaAnosComisionesBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_FacturasComisionDelta, TFacturasComisionBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_ComisionesDelta, TComisionesBusinessProcessorRules);

end.
